Index: src/Makefile.shlib
===================================================================
RCS file: /home/projects/pgsql/cvsroot/pgsql/src/Makefile.shlib,v
retrieving revision 1.37
diff -u -p -r1.37 Makefile.shlib
--- src/Makefile.shlib	2000/12/06 19:37:08	1.37
+++ src/Makefile.shlib	2001/01/11 04:15:06
@@ -312,8 +312,8 @@ endif # enable_shared
 ## INSTALL
 ##
 
-.PHONY: install-lib install-lib-static install-lib-shared
-install-lib: install-lib-static install-lib-shared
+.PHONY: install-lib install-lib-static install-lib-shared install-bin-shared
+install-lib: install-lib-static install-lib-shared install-bin-shared
 
 install-lib-static: lib$(NAME).a
 	$(INSTALL_DATA) $< $(DESTDIR)$(libdir)/lib$(NAME).a
@@ -321,6 +321,10 @@ install-lib-static: lib$(NAME).a
 ifeq ($(enable_shared), yes)
 install-lib-shared: $(shlib)
 	$(INSTALL_SHLIB) $< $(DESTDIR)$(libdir)/$(shlib)
+ifeq ($(PORTNAME), win)
+install-bin-shared: $(shlib)
+	$(INSTALL_SHLIB) $< $(DESTDIR)$(bindir)/$(shlib)
+endif # win
 ifneq ($(PORTNAME), win)
 ifneq ($(shlib), lib$(NAME)$(DLSUFFIX).$(SO_MAJOR_VERSION))
 	cd $(DESTDIR)$(libdir) && \
Index: src/backend/utils/mmgr/mcxt.c
===================================================================
RCS file: /home/projects/pgsql/cvsroot/pgsql/src/backend/utils/mmgr/mcxt.c,v
retrieving revision 1.24
diff -u -p -r1.24 mcxt.c
--- src/backend/utils/mmgr/mcxt.c	2000/08/22 04:00:10	1.24
+++ src/backend/utils/mmgr/mcxt.c	2001/01/11 04:15:16
@@ -34,7 +34,7 @@
  * CurrentMemoryContext
  *		Default memory context for allocations.
  */
-DLLIMPORT MemoryContext CurrentMemoryContext = NULL;
+MemoryContext CurrentMemoryContext = NULL;
 
 /*
  * Standard top-level contexts
Index: src/include/utils/memutils.h
===================================================================
RCS file: /home/projects/pgsql/cvsroot/pgsql/src/include/utils/memutils.h,v
retrieving revision 1.38
diff -u -p -r1.38 memutils.h
--- src/include/utils/memutils.h	2000/12/01 05:16:45	1.38
+++ src/include/utils/memutils.h	2001/01/11 04:15:22
@@ -69,7 +69,7 @@ extern MemoryContext PostmasterContext;
 extern MemoryContext CacheMemoryContext;
 extern MemoryContext QueryContext;
 extern MemoryContext TopTransactionContext;
-extern MemoryContext TransactionCommandContext;
+extern DLLIMPORT MemoryContext TransactionCommandContext;
 
 
 /*
Index: src/utils/dllinit.c
===================================================================
RCS file: /home/projects/pgsql/cvsroot/pgsql/src/utils/dllinit.c,v
retrieving revision 1.4
diff -u -p -r1.4 dllinit.c
--- src/utils/dllinit.c	2000/09/29 13:53:35	1.4
+++ src/utils/dllinit.c	2001/01/11 04:15:32
@@ -1,3 +1,6 @@
+#include <cygwin/version.h>
+#if CYGWIN_VERSION_DLL_MAJOR < 1001
+
 /* dllinit.c -- Portable DLL initialization.
    Copyright (C) 1998 Free Software Foundation, Inc.
    Contributed by Mumit Khan (khan@xraylith.wisc.edu).
@@ -102,3 +105,5 @@ DllMain(
 	}
 	return TRUE;
 }
+
+#endif /* CYGWIN_VERSION_DLL_MAJOR */
